Get one foster home
One foster home, with its person and every assignment it has had, completed ones last and the newest offer first. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
foster-homes
/
{id}
Get one foster home
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/foster-homes/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/foster-homes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/foster-homes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"foster_home": {
"id": "<string>",
"person_id": "<string>",
"status": "active",
"capacity": 123,
"spots_filled": 123,
"spots_available": 123,
"is_full": true,
"assignments": [
{
"id": "<string>",
"foster_home_id": "<string>",
"animal_id": "<string>",
"status": "pending",
"requested_on": "<string>",
"is_live": true,
"started_on": "<string>",
"ended_on": "<string>",
"end_reason": "adopted",
"placement_reason": "<string>",
"return_reason": "<string>",
"decline_reason": "<string>",
"notes": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"duration_days": 123,
"animal_name": "<string>",
"animal_species": "<string>",
"foster_first_name": "<string>",
"foster_last_name": "<string>",
"foster_name": "<string>"
}
],
"species_preferences": [
"<string>"
],
"accepts_medical": true,
"accepts_bottle_babies": true,
"accepts_behavioral": true,
"approved_on": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"person": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"species_capacity": {
"cat": 2
},
"tags": [
"Bottle babies"
],
"animals_now": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>"
}
],
"last_return_on": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get one foster home
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/foster-homes/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/foster-homes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/foster-homes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"foster_home": {
"id": "<string>",
"person_id": "<string>",
"status": "active",
"capacity": 123,
"spots_filled": 123,
"spots_available": 123,
"is_full": true,
"assignments": [
{
"id": "<string>",
"foster_home_id": "<string>",
"animal_id": "<string>",
"status": "pending",
"requested_on": "<string>",
"is_live": true,
"started_on": "<string>",
"ended_on": "<string>",
"end_reason": "adopted",
"placement_reason": "<string>",
"return_reason": "<string>",
"decline_reason": "<string>",
"notes": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"duration_days": 123,
"animal_name": "<string>",
"animal_species": "<string>",
"foster_first_name": "<string>",
"foster_last_name": "<string>",
"foster_name": "<string>"
}
],
"species_preferences": [
"<string>"
],
"accepts_medical": true,
"accepts_bottle_babies": true,
"accepts_behavioral": true,
"approved_on": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"person": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"species_capacity": {
"cat": 2
},
"tags": [
"Bottle babies"
],
"animals_now": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>"
}
],
"last_return_on": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
